headless lms

Create an organization and make it active

POST /api/organizations. Create an organization and make it active. Headless LMS Organizations API reference.

POST
/api/organizations

For any signed-in person, including one with no organization yet. The caller becomes its owner.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/organizations" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "slug": "string"  }'
{  "id": "string",  "name": "string",  "slug": "string",  "createdAt": "string"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}